Package ru.nilsoft.tm

# Class TMCommand.FreeFiscalReceipt

java.lang.Object
ru.nilsoft.tm.TMCommand.FreeFiscalReceipt

Enclosing class:
  `TMCommand`

public static class TMCommand.FreeFiscalReceipt extends Object
Класс описатель произвольного фискального документа

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `TMCommand.FreeFiscalReceipt.fontOptions`
  Опции шрифта (битовая маска).
  `static class`
  `TMCommand.FreeFiscalReceipt.FreeField`
  Произвольное поле чека (структура).
  `static class`
  `TMCommand.FreeFiscalReceipt.PosField`
  Обязательное поле чека (структура).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FreeFiscalReceipt(byte receiptType, byte payIndex, byte flipFOffs, byte pageNum, byte hCopyNum, byte vCopyNum, short LOffs, short VGap, byte LGap, String tSum, String tCashierName, String tCashierINN)`
  Конструктор.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `AddFreeField(short line, short col, byte font, byte printMode, byte jourNum, String tInfo)`
  Добавление произвольного поля чека.
  `void`
  `AddPosFields(short serLine, short serCol, byte serFont, short docLine, short docCol, byte docFont, short dateLine, short dateCol, byte dateFont, short timeLine, short timeCol, byte timeFont, short innLine, short innCol, byte innFont, short userLine, short userCol, byte userFont, short sumLine, short sumCol, byte sumFont)`
  Добавление описания обязательных полей чека.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FreeFiscalReceipt

    public FreeFiscalReceipt(byte receiptType, byte payIndex, byte flipFOffs, byte pageNum, byte hCopyNum, byte vCopyNum, short LOffs, short VGap, byte LGap, String tSum, String tCashierName, String tCashierINN)
    Конструктор.
    Parameters:
      `receiptType` - тип чека (смотри `TMCommand.receipt_types`).
      `payIndex` - индекс оплаты (смотри `TMCommand.pay_indexes`).
      `flipFOffs` - отступ и переворот.
      `pageNum` - номер страницы.
      `hCopyNum` - кол-во горизонтальных копий.
      `vCopyNum` - кол-во вертикальных копий.
      `LOffs` - отступ по горизонтали.
      `VGap` - отступ по вертикали.
      `LGap` - зазор между строк.
      `tSum` - сумма.
      `tCashierName` - имя кассира.
      `tCashierINN` - ИНН кассира.

- ## Method Details

  - ### AddPosFields

    public void AddPosFields(short serLine, short serCol, byte serFont, short docLine, short docCol, byte docFont, short dateLine, short dateCol, byte dateFont, short timeLine, short timeCol, byte timeFont, short innLine, short innCol, byte innFont, short userLine, short userCol, byte userFont, short sumLine, short sumCol, byte sumFont)
    Добавление описания обязательных полей чека.
    Parameters:
      `serLine` - строка (серийный номер ККТ).
      `serCol` - колонка (серийный номер ККТ).
      `serFont` - шрифт (серийный номер ККТ).
      `docLine` - строка (номер документа).
      `docCol` - колонка (номер документа).
      `docFont` - шрифт (номер документа).
      `dateLine` - строка (дата чека).
      `dateCol` - колонка (дата чека).
      `dateFont` - шрифт (дата чека).
      `timeLine` - строка (время чека).
      `timeCol` - колонка (время чека).
      `timeFont` - шрифт (время чека).
      `innLine` - строка (ИНН владельца ККТ).
      `innCol` - колонка (ИНН владельца ККТ).
      `innFont` - шрифт (ИНН владельца ККТ).
      `userLine` - строка (ФИО кассира).
      `userCol` - колонка (ФИО кассира).
      `userFont` - шрифт (ФИО кассира).
      `sumLine` - строка (сумма чека).
      `sumCol` - колонка (сумма чека).
      `sumFont` - шрифт (сумма чека).

  - ### AddFreeField

    public void AddFreeField(short line, short col, byte font, byte printMode, byte jourNum, String tInfo)
    Добавление произвольного поля чека.
    Parameters:
      `line` - строка.
      `col` - колонка.
      `font` - шрифт.
      `printMode` - режим печати.
      `jourNum` - номер записи в журнале.
      `tInfo` - строка.